> For the complete documentation index, see [llms.txt](https://docs.skyledge.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.skyledge.com/getting-started/developer-guide/linking-asset-types-to-a-control-room.md).

# Linking Asset Types to a Control Room

You may want to display certain types of assets in different Control Rooms. For example, Hero Potions may want to display their delivery trucks inside of their Logistics Control Rooms. They may want to display their customers in another type of Control Room.

### Link Asset Type to Control Room

Let’s go ahead and pair our Hero Asset Type to the Control Room we’ve created previously:

#### **Assigning Hero Asset Type to our Control Room**

```
PUT api.skyledge.com/controlrooms/{controlRoomId}/asset-types/{assetTypeId}

{}

```

{% tabs %}
{% tab title="cURL" %}

```
curl --location --request PUT 'https://api.skyledge.com/controlrooms/CONTROL_ROOM_ID/asset_types/ASSET_TYPE_ID' \
--header 'X-Authorization: API_KEY' \
--header 'Content-Type: application/json' \
--data-raw '{}'
```

{% endtab %}

{% tab title="NodeJs" %}

```
import { Configuration, AssetTypesApi } from '@skyledge/sdk';

const configuration = new Configuration({
  apiKey: 'XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXX',
  basePath: 'https://api.skyledge.com',
});

const assetTypeApi = new AssetTypesApi(configuration);

const controlRoomId = CONTROL_ROOM_ID;
const assetTypeId = ASSET_TYPE_ID;

const addAssetType2ControlRoom =
  await assetTypeApi.assignsAssetTypeToControlRoom(controlRoomId, assetTypeId);

console.log(addAssetType2ControlRoom.status);

```

{% endtab %}

{% tab title="Python" %}

```
import requests
import json

url = "https://api.skyledge.com/controlrooms/CONTROL_ROOM_ID/asset_types/ASSET_TYPE_ID"

payload = json.dumps({})
headers = {
  'X-Authorization': 'API_KEY',
  'Content-Type': 'application/json'
}

response = requests.request("PUT", url, headers=headers, data=payload)

print(response.text)

```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.skyledge.com/getting-started/developer-guide/linking-asset-types-to-a-control-room.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
